Skip to main content

Update Resident: Buildium

PUThttps://api.propexo.com/v1/residents/buildium/:resident_id
InterfaceMethod
Rental TenantsPUT /leases/tenants/:residentId

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

resident_id stringrequired

The ID of the resource.

Request​

This endpoint expects an object.

    last_namestringrequired

    The last name of the resident. This value maps to the LastName property of the Tenant object

    first_namestringrequired

    The first name of the resident. This value maps to the FirstName property of the Tenant object

    email_1string<email>

    The primary email address for the resident. This value maps to the Email property of the Tenant object

    email_2string<email>

    An alternate email address for the resident. This value maps to the AlternateEmail property of the Tenant object.

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the DateOfBirth property of the Tenant object.

    address_1stringrequired

    First line of the street address for the resident. This maps to the Address.AddressLine1 property of the primary address of the Tenant object

    Possible values: <= 100 characters

    address_2string

    Second line of the street address for the resident. This maps to the Address.AddressLine2 property of the Tenant object.

    Possible values: <= 100 characters

    citystringrequired

    City of the resident's primary address. This maps to the Address.City property of the Tenant object.

    Possible values: <= 100 characters

    statestringrequired

    State of the resident's primary address. This maps to the Address.State property of the Tenant object.

    zipstringrequired

    Zip/Postal Code of the resident's primary address. This maps to the Address.PostalCode property of the Tenant object.

    countrystringrequired

    Country of the resident's primary address.

    Show 1 enum value
    US
    address_1_alternatestring

    First line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine1 property of the Tenant object

    address_2_alternatestring

    Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address. This maps to the AlternateAddress.City property of the Tenant object.

    state_alternatestring

    State of the resident's secondary/alternate address. This maps to the AlternateAddress.State property of the Tenant object

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address. This maps to the AlternateAddress.PostalCode property of the Tenant object

    country_alternatestring

    Country of the resident's secondary/alternate address.

    Show 1 enum value
    US
    notesstring

    Any notes on the resident. This value maps to the Comment property of the Tenant object.

    phone_1string

    Resident's primary phone number. This will be assumed to be a HOME phone number unless phone_1_type is also set.

    phone_1_typestring

    The type of the resident's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Resident's secondary phone number. This will be assumed to be a MOBILE phone number unless phone_2_type is also set.

    phone_2_typestring

    The type of the resident's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    custom_data objectdeprecated

    Deprecated: Field is no longer applicable

    object

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    resident_idstringrequired

    The Propexo ID of the resident being updated

    last_namestringrequired

    The last name of the resident. This value maps to the LastName property of the Tenant object

    first_namestringrequired

    The first name of the resident. This value maps to the FirstName property of the Tenant object

    email_1string<email>

    The primary email address for the resident. This value maps to the Email property of the Tenant object

    email_2string<email>

    An alternate email address for the resident. This value maps to the AlternateEmail property of the Tenant object.

    date_of_birthstring<date-time>

    The date of birth of the resident. This value maps to the DateOfBirth property of the Tenant object.

    address_1stringrequired

    First line of the street address for the resident. This maps to the Address.AddressLine1 property of the primary address of the Tenant object

    Possible values: <= 100 characters

    address_2string

    Second line of the street address for the resident. This maps to the Address.AddressLine2 property of the Tenant object.

    Possible values: <= 100 characters

    citystringrequired

    City of the resident's primary address. This maps to the Address.City property of the Tenant object.

    Possible values: <= 100 characters

    statestringrequired

    State of the resident's primary address. This maps to the Address.State property of the Tenant object.

    zipstringrequired

    Zip/Postal Code of the resident's primary address. This maps to the Address.PostalCode property of the Tenant object.

    countrystringrequired

    Country of the resident's primary address.

    Show 1 enum value
    US
    address_1_alternatestring

    First line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine1 property of the Tenant object

    address_2_alternatestring

    Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object

    city_alternatestring

    City of the resident's secondary/alternate address. This maps to the AlternateAddress.City property of the Tenant object.

    state_alternatestring

    State of the resident's secondary/alternate address. This maps to the AlternateAddress.State property of the Tenant object

    zip_alternatestring

    Zip/Postal Code of the resident's secondary/alternate address. This maps to the AlternateAddress.PostalCode property of the Tenant object

    country_alternatestring

    Country of the resident's secondary/alternate address.

    Show 1 enum value
    US
    notesstring

    Any notes on the resident. This value maps to the Comment property of the Tenant object.

    phone_1string

    Resident's primary phone number. This will be assumed to be a HOME phone number unless phone_1_type is also set.

    phone_1_typestring

    The type of the resident's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    phone_2string

    Resident's secondary phone number. This will be assumed to be a MOBILE phone number unless phone_2_type is also set.

    phone_2_typestring

    The type of the resident's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.

    Show 4 enum values
    HOMEWORKMOBILEFAX
    custom_data objectdeprecated
    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/residents/buildium/:resident_id
curl -X PUT https://api.propexo.com/v1/residents/buildium/:resident_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string",
"first_name": "string",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"resident_id": "string",
"last_name": "string",
"first_name": "string",
"email_1": "[email protected]",
"email_2": "[email protected]",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "string",
"zip": "string",
"country": "US",
"address_1_alternate": "string",
"address_2_alternate": "string",
"city_alternate": "string",
"state_alternate": "string",
"zip_alternate": "string",
"country_alternate": "US",
"notes": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME"
}
}